package com.zjsgfa.project.zt.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 钻头综合得分对象 lj_ztzhdf
 * 
 * @author
 * @date 2025-06-29
 */
public class LjZtzhdf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 钻头尺寸 */
    @Excel(name = "钻头尺寸")
    private Double cc;


    /** 进尺得分 */
    @Excel(name = "进尺得分")
    private Double jcdf;

    /** 机速得分 */
    @Excel(name = "机速得分")
    private Double jsdf;

    /** 指标得分 */
//    @Excel(name = "指标得分")
    private Double zbdf;

    /** 数量得分 */
    @Excel(name = "数量得分")
    private Double sldf;

    /** 综合得分 */
    @Excel(name = "综合得分")
    private Double zhdf;

    /** 创建人 */
//    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setCc(Double cc) 
    {
        this.cc = cc;
    }

    public Double getCc() 
    {
        return cc;
    }

    public void setJcdf(Double jcdf) 
    {
        this.jcdf = jcdf;
    }

    public Double getJcdf() 
    {
        return jcdf;
    }

    public void setJsdf(Double jsdf) 
    {
        this.jsdf = jsdf;
    }

    public Double getJsdf() 
    {
        return jsdf;
    }

    public void setZbdf(Double zbdf) 
    {
        this.zbdf = zbdf;
    }

    public Double getZbdf() 
    {
        return zbdf;
    }

    public void setSldf(Double sldf) 
    {
        this.sldf = sldf;
    }

    public Double getSldf() 
    {
        return sldf;
    }

    public void setZhdf(Double zhdf) 
    {
        this.zhdf = zhdf;
    }

    public Double getZhdf() 
    {
        return zhdf;
    }

    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("kc", getKc())
            .append("ztxh", getZtxh())
            .append("cc", getCc())
            .append("jcdf", getJcdf())
            .append("jsdf", getJsdf())
            .append("zbdf", getZbdf())
            .append("sldf", getSldf())
            .append("zhdf", getZhdf())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
